if (game.user.targets.size !== 1)
  return ui.notifications.warn("Vous devez cibler exactement un seul Bateau.");

const target = game.user.targets.first();
const vehicle = target.actor;

if (!(vehicle.system instanceof VehicleModel))
  return ui.notifications.warn("Vous ne pouvez Constrict qu'un Bateau");

if (vehicle.size > 3)
  return ui.notifications.warn("Vous ne pouvez Constrict que des navires de Taille Large ou plus petits");

const turns = Math.ceil(vehicle.system.details.length.value / 10);

const mainEffect = this.item.effects.contents[0];
const effectData = mainEffect.toObject();

effectData.statuses = [effectData.name.slugify()];

foundry.utils.setProperty(effectData, "flags.wfrp4e.target", target.id);
foundry.utils.setProperty(effectData, "flags.wfrp4e.turns", turns);

await this.actor.applyEffect({effectData: [effectData]});

const speaker = ChatMessage.getSpeaker({actor: this.actor});

this.script.message(`<b>${speaker.alias}</b> a commencé à s'enrouler autour du <b>${target.name}</b> et pourra commencer à l'écraser après ${turns} tours.`);